Loading...
Searching...
No Matches
gx_engine::ParameterV< float > Class Reference

`#include <gx_parameter.h>`

Inheritance diagram for gx_engine::ParameterV< float >:

## Public Member Functions

bool | set (float val) const
bool | ramp_value (float val)
float | get_value () const
void | convert_from_range (float low, float up)
void | set_zero ()
virtual void | stdJSON_value ()
virtual bool | on_off_value ()
virtual void | writeJSON (gx_system::JsonWriter &jw) const
virtual void | readJSON_value (gx_system::JsonParser &jp)
virtual void | rampJSON_value (gx_system::JsonParser &jp)
virtual bool | compareJSON_value ()
virtual void | setJSON_value ()
virtual bool | hasRange () const
virtual float | getLowerAsFloat () const
virtual float | getUpperAsFloat () const
virtual float | getStepAsFloat () const
virtual float | idx_from_id (string v_id)
| ParameterV (const string &id, const string &name, ctrl_type ctp, bool preset, float *v, float sv, float lv, float uv, float tv, bool ctrl, bool no_init)
| ~ParameterV ()
| ParameterV (gx_system::JsonParser &jp)
virtual void | serializeJSON (gx_system::JsonWriter &jw)
sigc::signal< void, float > & | signal_changed ()
Public Member Functions inherited from gx_engine::Parameter
std::string | group_id () const
| Parameter (const string &id, const string &name, value_type vtp, ctrl_type ctp, bool preset, bool ctrl)
| Parameter (gx_system::JsonParser &jp)
virtual | ~Parameter ()
bool | isUsed () const
void | setUsed ()
void | dump (gx_system::JsonWriter *jw)
const char * | get_typename () const
bool | isFloat () const
bool | isInt () const
bool | isBool () const
bool | isFile () const
bool | isString () const
ctrl_type | getControlType () const
bool | isControllable () const
bool | isInPreset () const
bool | isSavable () const
void | setSavable (bool v)
bool | isOutput () const
void | setOutput (bool v)
bool | isMaxlevel () const
void | setMaxlevel (bool v)
bool | isNoWarning () const
void | setNoWarning (bool v)
const string & | id () const
const string & | group () const
string | l_group () const
const string & | name () const
string | l_name () const
const string & | desc () const
void | set_desc (const string &desc)
string | l_desc () const
void | set_log_display ()
bool | is_log_display () const
void | set_blocked (bool v)
bool | get_blocked () const
void | set_midi_blocked (bool v)
bool | get_midi_blocked () const
bool | operator== (const Parameter &p) const
virtual const value_pair * | getValueNames () const
FloatParameter & | getFloat ()
IntParameter & | getInt ()
EnumParameter & | getEnum ()
BoolParameter & | getBool ()
FileParameter & | getFile ()
StringParameter & | getString ()
sigc::signal< void, float > & | signal_changed_float ()
sigc::signal< void, int > & | signal_changed_int ()
sigc::signal< void, bool > & | signal_changed_bool ()
sigc::signal< void, const Glib::ustring & > & | signal_changed_string ()

## Protected Attributes

float | json_value
float * | value
float | std_value
float | lower
float | upper
float | step
sigc::signal< void, float > | changed
float | value_storage
Protected Attributes inherited from gx_engine::Parameter
string | _id
string | _name
string | _group
string | _desc
enum value_type | v_type: 3
enum ctrl_type | c_type: 3
unsigned int | d_flags: 2
bool | save_in_preset: 1
bool | controllable: 1
bool | do_not_save: 1
bool | blocked: 1
bool | midi_blocked: 1
bool | output: 1
bool | maxlevel: 1
bool | nowarn: 1
bool | used: 1

## Private Member Functions

virtual bool | midi_set (float n, float high, float llimit, float ulimit)
virtual bool | midi_set_bpm (float n, float high, float llimit, float ulimit)
virtual void | trigger_changed ()

## Friends

class | ParamRegImpl
class | GxMachine
void | compare_parameter (const char *title, Parameter *p1, Parameter *p2, bool all=false)

## Additional Inherited Members

Public Types inherited from gx_engine::Parameter
enum | ctrl_type { None , Continuous , Switch , Enum }
enum | toggle_type { OnOff = 0 , Constant = 1 , Toggle = 2 , Commander = 3 , _Count = 4 }
Static Public Member Functions inherited from gx_engine::Parameter
static const char * | value_label (const value_pair &vp)
Protected Types inherited from gx_engine::Parameter
enum | value_type { tp_float , tp_int , tp_bool , tp_file , tp_string , tp_special }
enum | display_flags { dtp_normal , dtp_log = 1 }
Protected Member Functions inherited from gx_engine::Parameter
void | range_warning (float value, float lower, float upper)
Static Protected Member Functions inherited from gx_engine::Parameter
static gx_system::JsonParser & | jp_next (gx_system::JsonParser &jp, const char *key)

## Detailed Description

Definition at line 242 of file gx_parameter.h.

## Constructor & Destructor Documentation

## ParameterV() [1/2]

gx_engine::ParameterV< float >::ParameterV | ( | const string & | id,
|  | const string & | name,
|  | ctrl_type | ctp,
|  | bool | preset,
|  | float * | v,
|  | float | sv,
|  | float | lv,
|  | float | uv,
|  | float | tv,
|  | bool | ctrl,
|  | bool | no_init )

inline

Definition at line 274 of file gx_parameter.h.

## ~ParameterV()

gx_engine::ParameterV< float >::~ParameterV | ( |  | ) |

## ParameterV() [2/2]

gx_engine::ParameterV< float >::ParameterV | ( | gx_system::JsonParser & | jp | ) |

## Member Function Documentation

## compareJSON_value()

virtual bool gx_engine::ParameterV< float >::compareJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## convert_from_range()

void gx_engine::ParameterV< float >::convert_from_range | ( | float | low,
|  | float | up )

## get_value()

float gx_engine::ParameterV< float >::get_value | ( |  | ) | const

inline

Definition at line 259 of file gx_parameter.h.

## getLowerAsFloat()

virtual float gx_engine::ParameterV< float >::getLowerAsFloat | ( |  | ) | const

virtual

Reimplemented from gx_engine::Parameter.

## getStepAsFloat()

virtual float gx_engine::ParameterV< float >::getStepAsFloat | ( |  | ) | const

virtual

Reimplemented from gx_engine::Parameter.

## getUpperAsFloat()

virtual float gx_engine::ParameterV< float >::getUpperAsFloat | ( |  | ) | const

virtual

Reimplemented from gx_engine::Parameter.

## hasRange()

virtual bool gx_engine::ParameterV< float >::hasRange | ( |  | ) | const

virtual

Reimplemented from gx_engine::Parameter.

## idx_from_id()

virtual float gx_engine::ParameterV< float >::idx_from_id | ( | string | v_id | ) |

virtual

Reimplemented in gx_engine::FloatEnumParameter.

## midi_set()

virtual bool gx_engine::ParameterV< float >::midi_set | ( | float | n,
|  | float | high,
|  | float | llimit,
|  | float | ulimit )

private virtual

Reimplemented from gx_engine::Parameter.

## midi_set_bpm()

virtual bool gx_engine::ParameterV< float >::midi_set_bpm | ( | float | n,
|  | float | high,
|  | float | llimit,
|  | float | ulimit )

private virtual

Reimplemented from gx_engine::Parameter.

## on_off_value()

virtual bool gx_engine::ParameterV< float >::on_off_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## ramp_value()

bool gx_engine::ParameterV< float >::ramp_value | ( | float | val | ) |

## rampJSON_value()

virtual void gx_engine::ParameterV< float >::rampJSON_value | ( | gx_system::JsonParser & | jp | ) |

virtual

## readJSON_value()

virtual void gx_engine::ParameterV< float >::readJSON_value | ( | gx_system::JsonParser & | jp | ) |

virtual

Implements gx_engine::Parameter.

Reimplemented in gx_engine::FloatEnumParameter.

## serializeJSON()

virtual void gx_engine::ParameterV< float >::serializeJSON | ( | gx_system::JsonWriter & | jw | ) |

virtual

Reimplemented from gx_engine::Parameter.

Reimplemented in gx_engine::FloatEnumParameter.

## set()

bool gx_engine::ParameterV< float >::set | ( | float | val | ) | const

## set_zero()

void gx_engine::ParameterV< float >::set_zero | ( |  | ) |

inline

Definition at line 261 of file gx_parameter.h.

## setJSON_value()

virtual void gx_engine::ParameterV< float >::setJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## signal_changed()

sigc::signal< void, float > & gx_engine::ParameterV< float >::signal_changed | ( |  | ) |

inline

Definition at line 290 of file gx_parameter.h.

Referenced by gx_engine::Parameter::signal_changed_float().

## stdJSON_value()

virtual void gx_engine::ParameterV< float >::stdJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## trigger_changed()

virtual void gx_engine::ParameterV< float >::trigger_changed | ( |  | ) |

private virtual

Reimplemented from gx_engine::Parameter.

## writeJSON()

virtual void gx_engine::ParameterV< float >::writeJSON | ( | gx_system::JsonWriter & | jw | ) | const

virtual

Implements gx_engine::Parameter.

Reimplemented in gx_engine::FloatEnumParameter.

## Friends And Related Symbol Documentation

## compare_parameter

void compare_parameter | ( | const char * | title,
|  | Parameter * | p1,
|  | Parameter * | p2,
|  | bool | all = false )

friend

## GxMachine

friend class GxMachine

friend

Definition at line 255 of file gx_parameter.h.

Referenced by GxMachine.

## ParamRegImpl

friend class ParamRegImpl

friend

Definition at line 254 of file gx_parameter.h.

Referenced by ParamRegImpl.

## Member Data Documentation

## changed

sigc::signal<void, float> gx_engine::ParameterV< float >::changed

protected

Definition at line 252 of file gx_parameter.h.

Referenced by signal_changed().

## json_value

float gx_engine::ParameterV< float >::json_value

protected

Definition at line 248 of file gx_parameter.h.

## lower

float gx_engine::ParameterV< float >::lower

protected

Definition at line 251 of file gx_parameter.h.

Referenced by ParameterV().

## std_value

float gx_engine::ParameterV< float >::std_value

protected

Definition at line 250 of file gx_parameter.h.

Referenced by ParameterV().

## step

float gx_engine::ParameterV< float >::step

protected

Definition at line 251 of file gx_parameter.h.

Referenced by ParameterV().

## upper

float gx_engine::ParameterV< float >::upper

protected

Definition at line 251 of file gx_parameter.h.

Referenced by ParameterV().

## value

float* gx_engine::ParameterV< float >::value

protected

Definition at line 249 of file gx_parameter.h.

Referenced by get_value(), ParameterV(), and set_zero().

## value_storage

float gx_engine::ParameterV< float >::value_storage

protected

Definition at line 253 of file gx_parameter.h.

Referenced by ParameterV().

The documentation for this class was generated from the following file:

- src/headers/gx_parameter.h